#include <bits/stdc++.h>
#define ll long long
using namespace std;
ll x[1010];
int main() {
    ll n, l, a = 1;
    for(int i = 1; i<=n; i++) {
        cin >> x[i];
        if(x[i]>=l) a++;
    }
    if(a == 0) cout << -1;
    else cout << a;
    return 0;
}